# std::type_index::hash_code

From cppreference.com
< cpp‎ | types‎ | type index

size_t hash_code() const; |  | (since C++11)

Returns the hash code of the associated std::type_info object. Equivalent to calling `type_info::hash_code` directly.

### Parameters

(none)

### Return value

The hash code of the associated type_info object.

### Exceptions

(none) | (until C++14)
`noexcept` specification: noexcept | (since C++14)

### Example

| This section is incomplete Reason: no example

### See also

std::hash<std::type_index> (C++11) | hash support for std::type_index (class template specialization)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/types/type_index/hash_code&oldid=91593"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template